<?php
/**
 * Dummy debug class
 *
 * @author		Roland Haeder <webmaster@mxchange.org>
 * @version		0.3.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link 		http://www.mxchange.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
class Debug {
	// Constructor
	public function __construct () {
		// Konstruktoren debuggen (nur im Zusammenhang mit den folgenden Schaltern effektiv)
		// VIELE DEBUG-MELDUNGEN!!!
		//define('DEBUG_CONSTRUCT', true);
		// eval()-Befehle debuggen
		//define('DEBUG_EVAL', true);
		// Systeme debuggen
		//define('DEBUG_SYSTEM', true);
		// SimulatorBase debuggen (VORSICHT! SEHR VIELE DEBUG-MELDUNGEN!!!)
		//define('DEBUG_CORE', true);
		//////// Objekte debuggen (ausgeben) ////////
		// Datenbank-Objekt debuggen
		//define('DEBUG_DATABASE_OBJ', true);
		// Reederei-Objekt debuggen
		//define('DEBUG_COMPANY_OBJ', true);
		// Hafen-Objekt debuggen
		//define('DEBUG_HARBOR_OBJ', true);
		// Schiff-Objekt debuggen
		//define('DEBUG_SHIP_OBJ', true);
		// Auftrag-Objekt debuggen
		//define('DEBUG_CONTRACT_OBJ', true);
		// Haendler-Objekt debuggen
		//define('DEBUG_MERCHANT_OBJ', true);
		// Personal-Objekt debuggen
		//define('DEBUG_PERSONELL_OBJ', true);
		//////// Alles unteren debuggen ////////
		//define('DEBUG_ALL', true);
		// Personal debuggen
		//define('DEBUG_PERSONELL', true);
		// Reederei debuggen
		//define('DEBUG_COMPANY', true);
		// Mitarbeiter debuggen
		//define('DEBUG_COMPANY_EMPLOYEE', true);
		// Hafen debuggen
		//define('DEBUG_HARBOR', true);
		// Werft debuggen
		//define('DEBUG_SHIPYARD', true);
		// Schiff debuggen
		//define('DEBUG_SHIP', true);
		// Schiffsteil debuggen
		//define('DEBUG_SHIPPART', true);
		// Schiffstruktur debuggen
		//define('DEBUG_STRUCTURE', true);
		// Antriebe debuggen
		//define('DEBUG_DRIVE', true);
		// Kabinen debuggen
		//define('DEBUG_CABIN', true);
		// Decks debuggen
		//define('DEBUG_DECK', true);
		// Bauauftraege debuggen
		//define('DEBUG_CONTRACT', true);
		// Haendler debuggen
		//define('DEBUG_MERCHANT', true);
		// Kompressor debuggen
		//define('DEBUG_COMPRESSOR', true);
		// Datenbankschichten debuggen
		//define('DEBUG_DATABASE', true);
		// Template-System debuggen
		//define('DEBUG_TEMPLATE', true);
	}
}

/**
 * Initialize the dummy debug class
 */
$dummy = new Debug();
unset($dummy);

//
?>
